# std::basic_string::front

From cppreference.com
< cpp‎ | string‎ | basic string

CharT& front(); |  | (since C++11)
const CharT& front() const; |  | (since C++11)

Returns reference to the first character in the string. The behavior is undefined if empty() == true.

### Parameters

(none)

### Return value

reference to the first character, equivalent to operator[](0).

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
      {
        std::string s("Exemplary");
        char& f = s.front();
        f = 'e';
        std::cout << s << '\n'; // "exemplary"
      }

      {
        std::string const c("Exemplary");
        char const& f = c.front();
        std::cout << &f << '\n'; // "Exemplary"
      }
    }

Output:

    exemplary
    Exemplary

### See also

back (C++11) | accesses the last character (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/front&oldid=80834"